PHANTOMJS(1)

NAME
phantomjs - headless WebKit scriptable with a JavaScript API

DESCRIPTION
PhantomJS is a headless WebKit scriptable with a JavaScript API. It has fast and native support for various web standards: DOM handling, CSS selector, JSON, Canvas, and SVG.

SYNOPSIS
phantomjs [switchs] [options] [script] [argument [argument [...]]]

OPTIONS

--cookies-file=<val>
    Sets the file name to store the persistent cookies

--config=<val>
    Specifies JSON-formatted configuration file

--debug=<val>
    Prints additional warning and debug message: 'true' or 'false' (default)

--disk-cache=<val>
    Enables disk cache: 'true' or 'false' (default)

--disk-cache-path=<val>
    Specifies the location for the disk cache

--ignore-ssl-errors=<val>
    Ignores SSL errors (expired/self-signed certificate errors): 'true' or 'false' (default)

--load-images=<val>
    Loads all inlined images: 'true' (default) or 'false'

--local-url-access=<val>
    Allows use of 'file:///' URLs: 'true' (default) or 'false'

--local-storage-path=<val>
    Specifies the location for local storage

--local-storage-quota=<val>
    Sets the maximum size of the local storage (in KB)

--offline-storage-path=<val>
    Specifies the location for offline storage

--offline-storage-quota=<val>
    Sets the maximum size of the offline storage (in KB)

--local-to-remote-url-access=<val>
    Allows local content to access remote URL: 'true' or 'false' (default)

--max-disk-cache-size=<val>
    Limits the size of the disk cache (in KB)

--output-encoding=<val>
    Sets the encoding for the terminal output, default is 'utf8'

--remote-debugger-port=<val>
    Starts the script in a debug harness and listens on the specified port

--remote-debugger-autorun=<val>
    Runs the script in the debugger immediately: 'true' or 'false' (default)

--proxy=<val>
    Sets the proxy server, e.g. '--proxy=http://proxy.company.com:8080'

--proxy-auth=<val>
    Provides authentication information for the proxy, e.g. ''-proxy-auth=username:password'

--proxy-type=<val>
    Specifies the proxy type, 'http' (default), 'none' (disable completely), or 'socks5'

--script-encoding=<val>
    Sets the encoding used for the starting script, default is 'utf8'

--script-language=<val>
    Sets the script language instead of detecting it: 'javascript'

--web-security=<val>
    Enables web security, 'true' (default) or 'false'

--ssl-protocol=<val>
    Selects a specific SSL protocol version to offer. Values (case insensitive): TLSv1.2, TLSv1.1, TLSv1.0, TLSv1 (same as v1.0), SSLv3, or ANY. Default is to offer all that Qt thinks are secure (SSLv3 and up). Not all values may be supported, depending on the system OpenSSL library.

--ssl-ciphers=<val>
    Sets supported TLS/SSL ciphers. Argument is a colon-separated list of OpenSSL cipher names (macros like ALL, kRSA, etc. may not be used). Default matches modern browsers.

--ssl-certificates-path=<val>
    Sets the location for custom CA certificates (if none set, uses environment variable SSL_CERT_DIR. If none set too, uses system default)

--ssl-client-certificate-file=<val>
    Sets the location of a client certificate

--ssl-client-key-file=<val>
    Sets the location of a clients' private key

--ssl-client-key-passphrase=<val>
    Sets the passphrase for the clients' private key

--webdriver=<val>
    Starts in 'Remote WebDriver mode' (embedded GhostDriver): '[[<IP>:]<PORT>]' (default '127.0.0.1:8910')

--webdriver-logfile=<val>
    File where to write the WebDriver's Log (default 'none') (NOTE: needs '--webdriver')

--webdriver-loglevel=<val>
    WebDriver Logging Level: (supported: 'ERROR', 'WARN', 'INFO', 'DEBUG') (default 'INFO') (NOTE: needs '--webdriver')

--webdriver-selenium-grid-hub=<val>
    URL to the Selenium Grid HUB: 'URL_TO_HUB' (default 'none') (NOTE: needs '--webdriver')

-w,--wd
    Equivalent to '--webdriver' option above

-h,--help
    Shows this message and quits

-v,--version
    Prints out PhantomJS version

Any of the options that accept boolean values ('true'/'false') can also accept 'yes'/'no'.

Without any argument, PhantomJS will launch in interactive mode (REPL).

Documentation can be found at the web site, http://phantomjs.org.